{% extends 'app_pizzaplanet/base.html' %}
{% load static %}

{% block contenido %}

<!--ALERTA  AL CANJEAR-->
 <script>

    function alertaCarrito()

    {       Swal.fire({
                    title: '¿Agregar producto al carrito?',
                    icon: 'info',
                    confirmButton: true,
                    confirmButtonColor: 'Green',
                    showCancelButton: true,
                    cancelButtonText: 'Descartar',

                    }).then(function(result){

                        if(result.isConfirmed)

                        {

                            window.location.href="/miCarrito/" ;

                        }

                    });
    }
</script>


<script>
    $(document).ready(function () {
        $('.texto-titulo').css('margin-left', '5%')

    });
</script>


<!-- CONTAINER PUNTOS-->
<h4 class="texto-titulo mt-3" style="color: rgb(107, 52, 16);">Canjea Tus Planet Puntos Aqui!!!</h4> <br>
<div class="container-fluid mt-3">
    <div class="row">


        <div class="col-md-12">
            <div class="container mt-3">
                <div class="row">
                    <div class="col-sm-4">
                        <div class="card">
                            <img class="card-img-top" src="{% static 'app_pizzaplanet/img/napoli.jpeg' %}"
                                alt="Card image" width="150">
                            <div class="card-body">
                                <h6>1.000 PUNTOS</h6>
                                <h4 class="card-title">Planet Pizza Napolitana!</h4>
                                <p class="card-text -50 description">Acumula 1000 puntos comprando la pizza Napolitana
                                    de 2
                                    ingredientes </p>
                                <a name="" id="" class="btn btn-danger " href= "#" onclick="alertaCarrito({{item.codigo}})" role="button">Canjear</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-4 ">
                        <div class="card">
                            <img class="card-img-top" src="{% static 'app_pizzaplanet/img/canadian.jpg' %}"
                                alt="Card image" width="150">
                            <div class="card-body">
                                <h6>1.500 PUNTOS</h6>
                                <h4 class="card-title">Planet Pizza Canadian!</h4>
                                <p class="card-text ">Acumula 1500 puntos comprando la pizza Canadian de 2
                                    ingredientes </p>
                                <a name="" id="" class="btn btn-danger " href= "#" onclick="alertaCarrito({{item.codigo}})" role="button">Canjear</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="card">
                            <img class="card-img-top" src="{% static 'app_pizzaplanet/img/pollo.jpg' %}"
                                alt="Card image" width="150">
                            <div class="card-body">
                                <h6>2.000 PUNTOS</h6>
                                <h4 class="card-title">Planet Pizza De Pollo!</h4>
                                <p class="card-text">Acumula 2000 puntos comprando la pizza De Pollo de 3
                                    ingredientes </p>
                                <a name="" id="" class="btn btn-danger " href= "#" onclick="alertaCarrito({{item.codigo}})" role="button">Canjear</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-4 mt-1">
                        <div class="card">
                            <img class="card-img-top" src="{% static 'app_pizzaplanet/img/canadian.jpg' %}"
                                alt="Card image" width="150">
                            <div class="card-body">
                                <h6>2.500 PUNTOS</h6>
                                <h4 class="card-title">Planet Box XL + 3 ingredientes!</h4>
                                <p class="card-text">Acumula 2500 puntos comprando la pizza Napolitana de 2
                                    ingredientes</p>
                                <a name="" id="" class="btn btn-danger " href= "#" onclick="alertaCarrito({{item.codigo}})" role="button">Canjear</a>
                            </div>
                        </div>

                    </div>

                    <div class="col-sm-4 mt-1">
                        <div class="card">
                            <img class="card-img-top" src="{% static 'app_pizzaplanet/img/pollo.jpg' %}"
                                alt="Card image" width="150">
                            <div class="card-body">
                                <h6>3.000 PUNTOS</h6>
                                <h4 class="card-title">Planet Home Pollo + Champiñon!</h4>
                                <p class="card-text">Acumula 3000 puntos comprando la pizza Napolitana de 2
                                    ingredientes</p>
                                <a name="" id="" class="btn btn-danger " href= "#" onclick="alertaCarrito({{item.codigo}})" role="button">Canjear</a>
                            </div>
                        </div>

                    </div>
                    <div class="col-sm-4 mt-1">
                        <div class="card">
                            <img class="card-img-top" src="{% static 'app_pizzaplanet/img/napoli.jpeg' %}"
                                alt="Card image" width="150">
                            <div class="card-body">
                                <h6>2.300 PUNTOS</h6>
                                <h4 class="card-title">Planet Home Napolitana + Champiñon!</h4>
                                <p class="card-text -50 description">Acumula 2300 puntos comprando la pizza Napolitana
                                    de 2
                                    ingredientes</p>
                                <a name="" id="" class="btn btn-danger " href= "#" onclick="alertaCarrito({{item.codigo}})" role="button">Canjear</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>




<!--este es el carrito NO BORRAR-->
<!--plugin jquery minicart js-->
<!--<script src="{% static 'app_pizzaplanet/js/minicart.js' %}"></script>
<script>
    // configuración inicial del carrito 
    paypal.minicart.render({
        strings: {

            button: 'Pagar'
            , buttonAlt: "Total"
            , subtotal: 'Total:'
            , empty: 'No hay productos en el carrito'
        }
    });

    // Eventos para agregar productos al carrito

    $('.producto').click(function (e) {
        e.stopPropagation();
        paypal.minicart.cart.add({
            business: 'pizzaplante@gmail.com', // Cuenta paypal para recibir el dinero
            item_name: $(this).attr("titulo"),
            amount: $(this).attr("precio"),
            currency_code: 'CLP',


        });
    });


</script>-->




{% endblock contenido %}